ASMCMD Is Not Working Due To LIBCLNTSH.SO.11.1 Is Missing Or Corrupted. (Doc ID 1407913.1)

Last updated on MARCH 23, 2017

Applies to:

Oracle Database - Enterprise Edition - Version 10.2.0.1 to 11.2.0.3 [Release 10.2 to 11.2]
Information in this document applies to any platform.
***Checked for relevance on 18-Nov-2013***

Symptoms


After ASM upgrade to release 11.2.0.3 (Grid Infrastructure), asmcmd is not working and fails with the next error:


$ asmcmd
install_driver(Oracle) failed: Can't load '/ora_grid/product/v11.2.0.3/perl/lib/site_perl/5.10.0/aix-thread-multi-64all/auto/DBD/Oracle/Oracle.so' for module DBD::Oracle: Could not load module /ora_grid/product/v11.2.0.3/perl/lib/site_perl/5.10.0/aix-thread-multi-64all/auto/DBD/Oracle/Oracle.so.
Dependent module /ora_grid/product/v11.2.0.3/lib/libclntsh.so could not be loaded. <(=== **** HERE *****
The module has too many section headers
or the file has been truncated.
Could not load module /ora_grid/product/v11.2.0.3/perl/lib/site_perl/5.10.0/aix-thread-multi-64all/auto/DBD/Oracle/Oracle.so.
Dependent module /ora_grid/product/v11.2.0.3/perl/lib/site_perl/5.10.0/aix-thread-multi-64all/auto/DBD/Oracle/Oracle.so could not be loaded. at /ora_grid/product/v11.2.0.3/perl/lib/5.10.0/aix-thread-multi-64all/DynaLoader.pm line 203.
at (eval 25) line 3
Compilation failed in require at (eval 25) line 3.
Perhaps a required shared library or dll isn't installed where expected
at /ora_grid/product/v11.2.0.3/lib/asmcmdbase.pm line 4701





Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms